ru.bitel.bgbilling.kernel.tariff.option.server.bean

## Class TariffOptionActivateModeDao

- java.lang.Object
- - ru.bitel.bgbilling.kernel.tariff.option.server.bean.TariffOptionActivateModeDao

-     public class TariffOptionActivateModeDao
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffOptionActivateModeDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TariffOptionActivateMode` | `get(int modeId)`
    `protected TariffOptionActivateMode` | `getFromRS(java.sql.ResultSet rs, boolean typeTitleLoad)`
    `java.util.List<TariffOptionActivateMode>` | `getOptionActivateModeList(int optionId, java.util.Date date)`
    `void` | `updateTariffOptionActivateModeList(int optionId, java.util.List<TariffOptionActivateMode> modeList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffOptionActivateModeDao

          public TariffOptionActivateModeDao(java.sql.Connection con)

  - ### Method Detail

    - #### get

          public TariffOptionActivateMode get(int modeId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getOptionActivateModeList

          public java.util.List<TariffOptionActivateMode> getOptionActivateModeList(int optionId,
                                                                                    java.util.Date date)
                                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTariffOptionActivateModeList

          public void updateTariffOptionActivateModeList(int optionId,
                                                         java.util.List<TariffOptionActivateMode> modeList)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected TariffOptionActivateMode getFromRS(java.sql.ResultSet rs,
                                                       boolean typeTitleLoad)
                                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`